#
# spec file for package librpcsecgss (Version 0.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 krb5-devel less libacl libattr libcom_err libgcc libgssapi libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           librpcsecgss
BuildRequires:  krb5-devel libgssapi pkgconfig
URL:            http://www.citi.umich.edu/projects/nfsv4/linux
Summary:        Library Implementing GSSAPI Security for ONC RPC
Version:        0.7
Release:        13.4
Group:          Development/Libraries/C and C++
License:        Other License(s), see package, BSD
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         http://www.citi.umich.edu/projects/nfsv4/linux/librpcsecgss/librpcsecgss-%{version}.tar.bz2
Patch0:         librpcsecgss-0.7-64bit.patch
Requires:       libgssapi

%description
This library implements the GSS security mechanism for ONC RPC. It can
be used to provide strong authentication and security for NFS.



Authors:
--------
    Kevin W. Coffman, based on code
    from Sun Microsystems distributed
    with the MIT Kerberos distribution

%debug_package
%prep
%setup -q
%patch0 -p1

%build
%{?suse_update_config:%{suse_update_config -f }}
autoconf
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure \
	--libdir=%{_libdir} \
	--mandir=%{_mandir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
# remove unused files
rm -rf $RPM_BUILD_ROOT/usr/local/include

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/lib*
%{_libdir}/pkgconfig/librpcsecgss.pc

%changelog -n librpcsecgss
* Tue May 30 2006 - okir@suse.de
- Fix for 64bit issues on big-endian machines (#172605)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 - okir@suse.de
- Updated to latest upstream version (0.7)
* Tue May 31 2005 - okir@suse.de
- Initial packaging
